Access

- « parallel\Channel::__construct

- parallel\Channel::open »

- PHP Manual
- parallel\Channel
- Access

# parallel\Channel::make

(0.9.0)

parallel\Channel::make — Access

### Description

public parallel\Channel::make(string `$name`): Channel

Shall make an unbuffered channel with the given name

public parallel\Channel::make(string `$name`, int `$capacity`): Channel

Shall make a buffered channel with the given name and capacity

### Parameters

`name`

  The name of the channel.

`capacity`

  May be Channel::Infinite or a positive integer

### Exceptions

Warning

Shall throw parallel\Channel\Error\Existence if channel already exists.